Bug 149299 - Repeated 'error in EA block' during 'restore -CVf' under SELinux
Repeated 'error in EA block' during 'restore -CVf' under SELinux
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 22:43 EST by Valdis Kletnieks
Modified: 2013-07-02 19:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 11:08:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2005-02-21 22:43:12 EST
Description of problem:
During a 'restore -CV' to verify a dump, every single inode produces
a message 'error in EA block'.


Version-Release number of selected component (if applicable):
dump-0.4b39-1

How reproducible:
Use 'restore -CV' to verify a dump file.

Steps to Reproduce:
1. dump -0 -f dump.test /tmp
2. restore -CVf dump.test
3.
  
Actual results:
Lots of 'error in EA block' messages, and a final (possibly spurious)
'Some files were modified!' message

Expected results:


Additional info:
Comment 1 Stelian Pop 2005-02-25 11:56:32 EST
Ok, reproduced and confirmed. Comparision of EA is broken in all
cases. Extraction of those EA is however not affected.

The fix is a two liner: in restore/tape.c, in the xtrxattr() function,
remove the test on Nflag.

I've updated my EA patch to incorporate this and other changes
(support in-inode EAs when using recent kernels and big inodes,
provided a recent version of e2fsprogs is used), it is available from
dump.sf.net (*). Jindrich, feel free to release a new version
containing this patch if you want to.

*: http://dump.sourceforge.net/dump-0.4b39-ea20050225.patch.bz2

Thanks,

Stelian. 
Comment 2 Jindrich Novy 2005-02-28 11:08:04 EST
Stelian, thanks for the new patch. It's now applied and dump-0.4b39-2
is now built.

Jindrich

Note You need to log in before you can comment on or make changes to this bug.